/*
(c) Copyright 2008 Pacito.Sys hppacito@gmail.com

┌──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┐
│                                                   TERMS OF USE: MIT License                                                  │
├──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┤
│Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation    │
│files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,    │
│modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software│
│is furnished to do so, subject to the following conditions:                                                                   │
│                                                                                                                              │
│The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.│
│                                                                                                                              │
│THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE          │
│WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR         │
│COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,   │
│ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.                         │
└──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────┘

*/

#ifndef _vga_drv_defs_h_
#define _vga_drv_defs_h_

// comment the next line to get a 320x200 image
#define LINES_240

#ifdef LINES_240
#define RYLINES 480
#define YLINES  240
#else
#define RYLINES 400
#define YLINES  200
#endif
#define XBYTES  160
#define XPIXELS 320
#define XSHIFT  1

#define VSYNCPOL0 1
#define HSYNCPOL0 1
#define VSYNCPOL1 0
#define HSYNCPOL1 0
#define TIMERN 1
#define CTRL_COND_NONE 1
#define CTRL_COND_AFTER 9

#define HSYNCSTART 2605
#define HSYNCEND 382 // 2987-2605
#define HSYNCBP 190 // 3177 - 2987

#define DCMD_CLRSCR 1
#define DCMD_PIXEL  2
#define DCMD_LINE   3
#define DCMD_TEXT   4

#endif

